<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function() {
		var tn = 'piece_reglements';

		/* data for selected record, or defaults if none is selected */
		var data = {
			beneficiaire: <?php echo json_encode(array('id' => $rdata['beneficiaire'], 'value' => $rdata['beneficiaire'], 'text' => $jdata['beneficiaire'])); ?>,
			operation: <?php echo json_encode(array('id' => $rdata['operation'], 'value' => $rdata['operation'], 'text' => $jdata['operation'])); ?>,
			banque: <?php echo json_encode($jdata['banque']); ?>,
			compte: <?php echo json_encode($jdata['compte']); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for beneficiaire */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'beneficiaire' && d.id == data.beneficiaire.id)
				return { results: [ data.beneficiaire ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for beneficiaire autofills */
		cache.addCheck(function(u, d) {
			if(u != tn + '_autofill.php') return false;

			for(var rnd in d) if(rnd.match(/^rnd/)) break;

			if(d.mfk == 'beneficiaire' && d.id == data.beneficiaire.id) {
				$j('#banque' + d[rnd]).html(data.banque);
				$j('#compte' + d[rnd]).html(data.compte);
				return true;
			}

			return false;
		});

		/* saved value for operation */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'operation' && d.id == data.operation.id)
				return { results: [ data.operation ], more: false, elapsed: 0.01 };
			return false;
		});

		cache.start();
	});
</script>

